PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
MS_CTL_2_1_Type Struct Reference

## Description

Master control registers (MS_CTL_2_1)

## Data Fields
MS_Type | MS [32]
__IM uint32_t | RESERVED [896]
MS_PC_Type | MS_PC [32]
__IM uint32_t | RESERVED1 [896]
__IOM uint32_t | CODE_MS0_MSC_ACG_CTL
__IM uint32_t | RESERVED2 [3]
__IOM uint32_t | SYS_MS0_MSC_ACG_CTL
__IOM uint32_t | SYS_MS1_MSC_ACG_CTL
__IM uint32_t | RESERVED3 [2]
__IOM uint32_t | EXP_MS_MSC_ACG_CTL
__IM uint32_t | RESERVED4 [3]
__IOM uint32_t | DMAC0_MSC_ACG_CTL
__IM uint32_t | RESERVED5 [3]
__IOM uint32_t | DMAC1_MSC_ACG_CTL

## Field Documentation

## ◆ MS

MS_Type MS_CTL_2_1_Type::MS[32]

0x00000000 Master protection context control

## ◆ RESERVED

__IM uint32_t MS_CTL_2_1_Type::RESERVED[896]

## ◆ MS_PC

MS_PC_Type MS_CTL_2_1_Type::MS_PC[32]

0x00001000 Master protection context value

## ◆ RESERVED1

__IM uint32_t MS_CTL_2_1_Type::RESERVED1[896]

## ◆ CODE_MS0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::CODE_MS0_MSC_ACG_CTL

0x00002000 CODE_MS0 master security Controller & ACG configuration

## ◆ RESERVED2

__IM uint32_t MS_CTL_2_1_Type::RESERVED2[3]

## ◆ SYS_MS0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::SYS_MS0_MSC_ACG_CTL

0x00002010 SYS_MS0 master security Controller & ACG configuration

## ◆ SYS_MS1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::SYS_MS1_MSC_ACG_CTL

0x00002014 SYS_MS1 master security Controller & ACG configuration

## ◆ RESERVED3

__IM uint32_t MS_CTL_2_1_Type::RESERVED3[2]

## ◆ EXP_MS_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::EXP_MS_MSC_ACG_CTL

0x00002020 EXP_MS master security Controller & ACG configuration

## ◆ RESERVED4

__IM uint32_t MS_CTL_2_1_Type::RESERVED4[3]

## ◆ DMAC0_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::DMAC0_MSC_ACG_CTL

0x00002030 DMAC-0 master security Controller & ACG configuration

## ◆ RESERVED5

__IM uint32_t MS_CTL_2_1_Type::RESERVED5[3]

## ◆ DMAC1_MSC_ACG_CTL

__IOM uint32_t MS_CTL_2_1_Type::DMAC1_MSC_ACG_CTL

0x00002040 DMAC-1 master security Controller & ACG configuration